package pdd

import (
	"duoduo/conf"
	"duoduo/models/pdd"
	"duoduo/tools"
	"duoduo/tools/app"
	"fmt"
	"github.com/gin-gonic/gin"

	"time"
)

//商品列表
func PddDdkGoodsSearch(c *gin.Context) {
	var inData pdd.PddDdkGoodsSearchRequest
	var outData pdd.PddDdkGoodsSearchResponse
	var pddErr pdd.ErrorPddResponse
	//var p []byte
	confIni, err := conf.ConnIni()
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	//
	//body, _ := ioutil.ReadAll(c.Request.Body)
	//if body != nil {
	//	fmt.Print("请求body内容为:%s", string(body))
	//}

	//fmt.Print(string(c.Request.Body))
	//c.Request.Body.Read(p)
	//fmt.Print("p= ", string(p))
	err = c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	fmt.Print(inData.Page)
	fmt.Print(inData.PageSize)

	inData.ClientId = confIni.MustValue("pdd", "client_id")
	inData.Type = "pdd.ddk.goods.search"
	inData.Timestamp = fmt.Sprintf("%d", time.Now().Unix())
	inData.DataType = "JSON"

	inData.Sign = "sign"

	sign, err := DDKSign(inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	inData.Sign = sign
	val, err := PostDDk(inData, nil)

	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	err = tools.JsonUnmarshal(val, &outData)
	if err != nil {
		err = tools.JsonUnmarshal(val, &pddErr)
		if err != nil {
			app.Error(c, 500, err, err.Error())
			return
		}
		app.Error(c, 500, nil, pddErr.ErrorResponse.ErrorMsg)
		return
	}
	app.OK(c, outData, app.Success)

}
